# Copyright (c) 2015 Dave Love, Liverpool University
# MIT licence, per Fedora policy.

Name:		mcsim
Version:	5.6.3
Release:	1%{?dist}
Summary:	Monte Carlo simulation package
License:	GPLv3+
Group:		Applications/Engineering
URL:		https://www.gnu.org/software/mcsim
Source0:	ftp://ftp.gnu.org/gnu/mcsim/mcsim-%version.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	dos2unix gsl-devel


%description

GNU MCSim is a simulation package, written in C, which allows you to:
* design your own statistical or simulation models (eventually dynamic,
  via ODEs),
* perform Monte Carlo stochastic simulations,
* do Bayesian inference through Markov Chain Monte Carlo simulations.

%package devel
Summary: Development files for %name
Requires: %name%{?_isa} = %version-%release
Group:		Applications/Engineering

%description devel
Development files for %name

%package doc
Summary: Documentation for %name
Group:		Applications/Engineering
BuildArch:	noarch

%description doc
Documentation for %name


%prep
%setup -q
chmod -x examples/SBML/C_{periph,central}.xml
dos2unix examples/SBML/C_{periph,central}.xml


%build
%configure
# gets executed by "make check" (!)
chmod +x examples/perc/Makefile
make %{?_smp_mflags}


%install
rm -rf %buildroot
make install DESTDIR=%buildroot
mkdir %buildroot%_includedir/mcsim
mv %buildroot%_includedir/*.h %buildroot%_includedir/mcsim


%check
make check
# avoind installing
rm -f examples/perc/{mcsim.perc,model.c} examples/perc/Makefile{,.log,.trs}

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%{!?_licensedir:%global license %%doc}

%files
%license COPYING
%exclude %_libdir/libmcsim.*a
%_libdir/libmcsim.so.*

%files devel
%_includedir/mcsim
%_datadir/mcsim
%_libdir/libmcsim.so
%_bindir/*

%files doc
# NEWS is empty
%doc AUTHORS doc/mcsim.html doc/mcsim.pdf examples
%license COPYING


%changelog
* Mon Jan  4 2016 Dave Love <loveshack@fedoraproject.org> - 5.6.3-1
- New version

* Mon Dec 21 2015 Dave Love <loveshack@fedoraproject.org> - 5.6.1-1
- New version

* Wed Dec 16 2015 Dave Love <loveshack@fedoraproject.org> - 5.6.0-1
- Initial packaging
